#!/bin/bash
#
# This file is part of ssetools
# Copyright © 2024 The ssetools AUTHORS
#
# Use of this source code is governed by a MIT-style license that can be
# found in the LICENSE file of the ssetools repository.
#
# install-socket_wrapper.sh
# installs the samba socket wrapper used for some tools part of ssetools
#
# History:
#   rar@nsc: 2024 initial version

set -e

VERSION="1.4.2"

if [ -z  "${HPC_SSE_SYSNAME}" ]; then
    echo "Environment variable HPC_SSE_SYSNAME must be set."
    exit 1
fi

mkdir -p "/software/sse2/${HPC_SSE_SYSNAME}/manual/socket_wrapper"
cd "/software/sse2/${HPC_SSE_SYSNAME}/manual/socket_wrapper"

git clone 'https://git.samba.org/socket_wrapper.git' socket_wrapper-git
cd socket_wrapper-git
git checkout "socket_wrapper-${VERSION}"

mkdir obj
cd obj
# Compile without ipv6 support, since we want to use this to wrap traffic to the usual localhost 
cmake -DCMAKE_INSTALL_PREFIX="/software/sse2/${HPC_SSE_SYSNAME}/manual/socket_wrapper/${VERSION}" -DHAVE_IPV6=0 ..
make
make install
