#
# This file is part of ssetools
# Copyright © 2023-2024 The ssetools AUTHORS
#
# Use of this source code is governed by a MIT-style license that can be
# found in the LICENSE file of the ssetools repository.

import os, logging, subprocess

def prepare(executable, arguments, args, spec, hwinfo):

    logging.debug("mpirun launch manager invoked on: "+str(executable))

    if args.nranks is not None:
        spec['launch_args'] += ["-n",str(args.nranks)]

    if args.cpus_per_task is not None:
        if hwinfo.numa_cpus_per_numanode is not None and args.cpus_per_task > hwinfo.numa_cpus_per_numanode:
            spec['launch_args'] += ["--map-by","node:PE="+str(args.cpus_per_task)]
        else:
            spec['launch_args'] += ["--map-by","numa:PE="+str(args.cpus_per_task)]

    return spec
