#
# This file is part of ssetools
# Copyright © 2023-2024 The ssetools AUTHORS
#
# Use of this source code is governed by a MIT-style license that can be
# found in the LICENSE file of the ssetools repository.

import os, logging, subprocess

def prepare(executable, arguments, args, spec, hwinfo):

    logging.debug("srun launch manager invoked on: "+str(executable))

    if args.nranks is not None:
        spec['launch_args'] += ["--ntasks="+str(args.nranks)]

    if args.cpus_per_task is not None:
        spec['launch_args'] += ["--cpus-per-task="+str(args.cpus_per_task)]
    else:
        os.environ['SRUN_CPUS_PER_TASK'] = str(1)

    return spec
