#!/bin/bash
#
# This file is part of ssetools
# Copyright © 2023-2024 The ssetools AUTHORS
#
# Use of this source code is governed by a MIT-style license that can be
# found in the LICENSE file of the ssetools repository.
#
# History:
#   rar@nsc: 2023 initial version
#
# This script updates and makes available the latest EB version

# Stop in case of error
set -e

cd dev

(
  cd easybuild-easyblocks  
  git status
  git checkout main
  git pull
  git fetch upstream
  git merge upstream/main
  git push
)

(
  cd easybuild-easyconfigs  
  git status
  git checkout main
  git pull
  git fetch upstream
  git merge upstream/main
  git push
)

(
  cd easybuild-framework  
  git status
  git checkout master
  git pull
  git fetch upstream
  git merge upstream/main
  git push
)

(
  cd vsc-base  
  git status
  git checkout master
  git pull
  git fetch upstream
  git merge upstream/master
  git push
)

(
  cd vsc-install
  git status
  git checkout master
  git pull
  git fetch upstream
  git merge upstream/master
  git push
)
