#!/bin/bash
#
# This file is part of ssetools
# Copyright © 2023-2024 The ssetools AUTHORS
#
# Use of this source code is governed by a MIT-style license that can be
# found in the LICENSE file of the ssetools repository.
#
# History:
#   rar@nsc: 2023 initial version

if [ -f /etc/os-release ]; then
    . /etc/os-release
    distro_name=$ID
    distro_version=$(echo "$VERSION_ID" | awk -F. '{print $1}')
elif [ -f /etc/lsb-release ]; then
    . /etc/lsb-release
    distro_name=$DISTRIB_ID
    distro_version=$(echo "$DISTRIB_RELEASE" | awk -F. '{print $1}')
else
    distro_name="unknown"
    distro_version=""
fi

distro_name=$(echo "$distro_name" | tr '[:upper:]' '[:lower:]')

# Adjust naming
if [ "$distro_name" == "rocky" -o "$distro_name" == "centos" -o "$distro_name" == "rhel" -o "$distro_name" == "almalinux" ]; then
    distro_id="el"
else
    distro_id="xx"
fi

if [ -n "${HPC_RESOURCE_NAME}" ]; then
   echo "${HPC_RESOURCE_NAME}_${distro_id}${distro_version}"
else
   echo "${NSC_RESOURCE_NAME}_${distro_id}${distro_version}"
fi
